Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html2
Interface HTMLElement

All Superinterfaces:
  Element, Node

All Known Subinterfaces:
  HTMLAnchorElement, HTMLAppletElement, HTMLAreaElement, HTMLBaseElement, HTMLBaseFontElement, HTMLBodyElement, HTMLBRElement, HTMLButtonElement, HTMLDirectoryElement, HTMLDivElement, HTMLDListElement, HTMLFieldSetElement, HTMLFontElement, HTMLFormElement, HTMLFrameElement, HTMLFrameSetElement, HTMLHeadElement, HTMLHeadingElement, HTMLHRElement, HTMLHtmlElement, HTMLIFrameElement, HTMLImageElement, HTMLInputElement, HTMLIsIndexElement, HTMLLabelElement, HTMLLegendElement, HTMLLIElement, HTMLLinkElement, HTMLMapElement, HTMLMenuElement, HTMLMetaElement, HTMLModElement, HTMLObjectElement, HTMLOListElement, HTMLOptGroupElement, HTMLOptionElement, HTMLParagraphElement, HTMLParamElement, HTMLPreElement, HTMLQuoteElement, HTMLScriptElement, HTMLSelectElement, HTMLStyleElement, HTMLTableCaptionElement, HTMLTableCellElement, HTMLTableColElement, HTMLTableElement, HTMLTableRowElement, HTMLTableSectionElement, HTMLTextAreaElement, HTMLTitleElement, HTMLUListElement

All Known Implementing Classes:
  JRexHTMLAnchorElementImpl, JRexHTMLAppletElementImpl, JRexHTMLAreaElementImpl, JRexHTMLBaseElementImpl, JRexHTMLBaseFontElementImpl, JRexHTMLBodyElementImpl, JRexHTMLBRElementImpl, JRexHTMLButtonElementImpl, JRexHTMLDirectoryElementImpl, JRexHTMLDivElementImpl, JRexHTMLDListElementImpl, JRexHTMLElementImpl, JRexHTMLFieldSetElementImpl, JRexHTMLFontElementImpl, JRexHTMLFormElementImpl, JRexHTMLFrameElementImpl, JRexHTMLFrameSetElementImpl, JRexHTMLHeadElementImpl, JRexHTMLHeadingElementImpl, JRexHTMLHRElementImpl, JRexHTMLHtmlElementImpl, JRexHTMLIFrameElementImpl, JRexHTMLImageElementImpl, JRexHTMLInputElementImpl, JRexHTMLIsIndexElementImpl, JRexHTMLLabelElementImpl, JRexHTMLLegendElementImpl, JRexHTMLLIElementImpl, JRexHTMLLinkElementImpl, JRexHTMLMapElementImpl, JRexHTMLMenuElementImpl, JRexHTMLMetaElementImpl, JRexHTMLModElementImpl, JRexHTMLObjectElementImpl, JRexHTMLOListElementImpl, JRexHTMLOptGroupElementImpl, JRexHTMLOptionElementImpl, JRexHTMLParagraphElementImpl, JRexHTMLParamElementImpl, JRexHTMLPreElementImpl, JRexHTMLQuoteElementImpl, JRexHTMLScriptElementImpl, JRexHTMLSelectElementImpl, JRexHTMLStyleElementImpl, JRexHTMLTableCaptionElementImpl, JRexHTMLTableCellElementImpl, JRexHTMLTableColElementImpl, JRexHTMLTableElementImpl, JRexHTMLTableRowElementImpl, JRexHTMLTableSectionElementImpl, JRexHTMLTextAreaElementImpl, JRexHTMLTitleElementImpl, JRexHTMLUListElementImpl

public interface HTMLElement
extends Element

All HTML element interfaces derive from this class. Elements that only expose the HTML core attributes are represented by the base `HTMLElement` interface. These elements are as follows: special: SUB, SUP, SPAN, BDOfont: TT, I, B, U, S, STRIKE, BIG, SMALL phrase: EM, STRONG, DFN, CODE, SAMP, KBD, VAR, CITE, ACRONYM, ABBRlist: DD, DTNOFRAMES, NOSCRIPTADDRESS, CENTERThe `style` attribute of an HTML element is accessible through the `ElementCSSInlineStyle` interface which is defined in the CSS module [DOM Level 2 Style Sheets and CSS].

See also the Document Object Model (DOM) Level 2 HTML Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getClassName()` The class attribute of the element.
`String` | `getDir()` Specifies the base direction of directionally neutral text and the directionality of tables.
`String` | `getId()` The element's identifier.
`String` | `getLang()` Language code defined in RFC 1766.
`String` | `getTitle()` The element's advisory title.
`void` | `setClassName(String className)` The class attribute of the element.
`void` | `setDir(String dir)` Specifies the base direction of directionally neutral text and the directionality of tables.
`void` | `setId(String id)` The element's identifier.
`void` | `setLang(String lang)` Language code defined in RFC 1766.
`void` | `setTitle(String title)` The element's advisory title.

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getId

    public String getId()

  The element's identifier. See the id attribute definition in HTML 4.01.

### setId

    public void setId(String id)

  The element's identifier. See the id attribute definition in HTML 4.01.

### getTitle

    public String getTitle()

  The element's advisory title. See the title attribute definition in HTML 4.01.

### setTitle

    public void setTitle(String title)

  The element's advisory title. See the title attribute definition in HTML 4.01.

### getLang

    public String getLang()

  Language code defined in RFC 1766. See the lang attribute definition in HTML 4.01.

### setLang

    public void setLang(String lang)

  Language code defined in RFC 1766. See the lang attribute definition in HTML 4.01.

### getDir

    public String getDir()

  Specifies the base direction of directionally neutral text and the directionality of tables. See the dir attribute definition in HTML 4.01.

### setDir

    public void setDir(String dir)

  Specifies the base direction of directionally neutral text and the directionality of tables. See the dir attribute definition in HTML 4.01.

### getClassName

    public String getClassName()

  The class attribute of the element. This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.01.

### setClassName

    public void setClassName(String className)

  The class attribute of the element. This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.01.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.